FROM tiangolo/uwsgi-nginx-flask:python3.6

WORKDIR /opt/api

copy . .

copy ./uwsgi.ini /app/
copy ./prestart.sh /app/

RUN pip install --no-cache-dir -r requirements.txt

EXPOSE 80

# Move the base entrypoint to reuse it
# RUN mv /entrypoint.sh /uwsgi-nginx-entrypoint.sh
# Copy the entrypoint that will generate Nginx additional configs
COPY entrypoint.sh /entrypoint.sh
RUN chmod +x /entrypoint.sh

ENTRYPOINT ["/entrypoint.sh"]


CMD ["/start.sh"]